backup_delvolentry(8)

NAME
backup delvolentry - Deletes a volume entry from a volume set

SYNOPSIS
backup delvolentry -name <volume set name>
    -entry <volume set index> [-localauth]
    [-cell <cell name>] [-help]

backup delvole -n <volume set name> -e <volume set index>
    [-l] [-c <cell name>] [-h]

DESCRIPTION
The backup delvolentry command deletes the indicated volume entry from the volume set specified with the -name argument. Use the -entry argument to identify the volume entry by its index number. To display the index numbers, use the backup listvolsets command.

If there are any remaining volume entries with index numbers higher than the deleted entry, their indexes are automatically decremented to eliminate any gaps in the indexing sequence.

CAUTIONS
Deleting volume entries from a temporary volume set is possible only within the interactive session in which the volume set was created.

OPTIONS
Names the volume set from which to delete a volume entry. Specifies the index number of the volume entry to delete. Use the backup listvolsets command to display the index numbers for a volume set's volume entries. Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see the backup(8) manpage. Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the backup(8) manpage. Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command deletes the fourth volume entry from the volume set called sys:

   % backup delvolentry -name sys -entry 4

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

SEE ALSO
the backup(8) manpage, the backup_addvolentry(8) manpage, the backup_addvolset(8) manpage, the backup_delvolset(8) manpage, the backup_listvolsets(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.